var
  sum : real;
  num : real;
  a : shortint;

Begin
  num := 0;
  sum := 0;
  Writeln ('Программа для подсчета среднего арифметического');
  Write ('Введите 1 для четных, 2 для нечетных ');
  Read (a);
  While (a <> 1) and (a <> 2) do begin
    Writeln ('Вы должны ввести 1 или 2');
    Read (a);
  end;
     Begin
      if a = 1
       then
        begin
          Write ('Введите натуральные число, закончите нулем ');
          Repeat
            Read (a);
            if a <> 0 then
            begin
              if a mod 2 = 0 then
                begin
                  sum := sum + a;
                  num := num + 1;
                end;
            end
          Until a = 0;
        end
       else begin
        Write ('Введите натуральные число, закончите нулем ');
          Repeat
            Read (a);
            if a <> 0 then
            begin
              if a mod 2 = 1 then
                begin
                  sum := sum + a;
                  num := num + 1;
                end;
            end;
          Until a = 0;
        end;
     end;
   if num <> 0 then
    Writeln ('Среднее арифметическое ', sum/num:0:2)
  else
    Writeln ('Последовательность пуста, или не введено чет/нечет чисел');
  Readln;
  Readln;
End.


